package com.peetz.library.dal;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.library.entity.FileEntity;

@Local
public interface FileDao {
	public FileEntity findById(Long id);
	public Collection<FileEntity> findByIds(Collection<Long> ids);
	public FileEntity store(FileEntity entity);
	public void delete(FileEntity entity);
}
